package cn.com.poc.thirdparty.resource.tianju.api.entity;

import java.io.Serializable;

/**
 * @Author: Zackery
 * @Description: 天聚通用响应实体
 * @Date: 2024/4/16 11:08
 */
public class TianCommonResult<T> implements Serializable {

    /**
     * 状态码
     */
    private Integer code;

    /**
     * 错误信息
     */
    private String msg;

    /**
     * 具体数据
     */
    private TianResult<T> result;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public TianResult<T> getResult() {
        return result;
    }

    public void setResult(TianResult<T> result) {
        this.result = result;
    }

}
